"use strict";
{
    self.C3.Plugins.EMI_INDO_SafariViewController.Acts = {
        Openurl(url)
        {
            if (typeof SafariViewController == 'undefined')
            {
                return;
            }
            else
            {};
            const self = this;

            this.cd.show(
            {
                url: url,
                target: '_blank',
                location: 'no',
                hidden: true, // default false
                animated: true, // default true, note that 'hide' will reuse this preference (the 'Done' button will always animate though)
                transition: 'curl', // (this only works in iOS 9.1/9.2 and lower) unless animated is false you can choose from: curl, flip, fade, slide (default)
                enterReaderModeIfAvailable: true, // default false
                tintColor: "#00ffff", // default is ios blue
                barColor: "#0000ff", // on iOS 10+ you can change the background color as well
                controlTintColor: "#ffffff" // on iOS 10+ you can override the default tintColor
            },

            function(result)
            {
                if (result.event === 'opened')
                {
                    self.res = ('opened');
                    self.Trigger(self.ins.Opened);
                }
                else if (result.event === 'loaded')
                {
                    self.res = ('loaded');
                    self.Trigger(self.ins.Loaded);
                    SafariViewController.hide();
                }
                else if (result.event === 'closed')
                {
                    self.res = ('closed');
                    self.Trigger(self.ins.Closed);
                }
            },

            function(msg)
            {
                self.res = ("KO: " + JSON.stringify(msg));
                self.Trigger(self.ins.Error);
            })

        }
    };
}